> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/wiki.md).

# Wiki

## GET /dms/wiki/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}":{"get":{"tags":["Wiki"],"operationId":"getById_82","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}}}}}}},"components":{"schemas":{"dms-wiki-WikiPageDto":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parent":{"$ref":"#/components/schemas/core-api-TypedObjectRef"},"subject":{"type":"string","description":"Title.","minLength":1},"content":{"type":"string","description":"Wiki markdown content.","minLength":1},"subPageRefs":{"type":"array","description":"References to the sub wikis.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"revisions":{"type":"array","description":"Revisions.","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageRevisionDto"},"readOnly":true},"position":{"type":"integer","format":"int32","description":"Sort order within the parent object.","readOnly":true}},"required":["content","subject"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-TypedObjectRef":{"description":"What this wiki page belongs to; only for POST. Change it through the move endpoint.","properties":{"id":{"type":"string","description":"Unique identifier."},"refType":{"type":"string","description":"Referenced object data type."},"label":{"type":"string","description":"Description, if present.","readOnly":true}},"required":["id","refType"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-wiki-WikiPageRevisionDto":{"description":"Revisions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"revisionNumber":{"type":"integer","format":"int32","description":"Revision number."}}}}}}
```

## PUT /dms/wiki/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}":{"put":{"tags":["Wiki"],"operationId":"update_85","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}}}}}}},"components":{"schemas":{"dms-wiki-WikiPageDto":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parent":{"$ref":"#/components/schemas/core-api-TypedObjectRef"},"subject":{"type":"string","description":"Title.","minLength":1},"content":{"type":"string","description":"Wiki markdown content.","minLength":1},"subPageRefs":{"type":"array","description":"References to the sub wikis.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"revisions":{"type":"array","description":"Revisions.","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageRevisionDto"},"readOnly":true},"position":{"type":"integer","format":"int32","description":"Sort order within the parent object.","readOnly":true}},"required":["content","subject"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-TypedObjectRef":{"description":"What this wiki page belongs to; only for POST. Change it through the move endpoint.","properties":{"id":{"type":"string","description":"Unique identifier."},"refType":{"type":"string","description":"Referenced object data type."},"label":{"type":"string","description":"Description, if present.","readOnly":true}},"required":["id","refType"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-wiki-WikiPageRevisionDto":{"description":"Revisions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"revisionNumber":{"type":"integer","format":"int32","description":"Revision number."}}}}}}
```

## DELETE /dms/wiki/{id}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}":{"delete":{"tags":["Wiki"],"operationId":"delete_81","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"alsoDeleteChildren","in":"query","required":true,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /dms/wiki/{id}/revision/{revisionId}/restore-content

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/revision/{revisionId}/restore-content":{"put":{"tags":["Wiki"],"operationId":"restoreRevision","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}}}}}}},"components":{"schemas":{"dms-wiki-WikiPageDto":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parent":{"$ref":"#/components/schemas/core-api-TypedObjectRef"},"subject":{"type":"string","description":"Title.","minLength":1},"content":{"type":"string","description":"Wiki markdown content.","minLength":1},"subPageRefs":{"type":"array","description":"References to the sub wikis.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"revisions":{"type":"array","description":"Revisions.","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageRevisionDto"},"readOnly":true},"position":{"type":"integer","format":"int32","description":"Sort order within the parent object.","readOnly":true}},"required":["content","subject"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-TypedObjectRef":{"description":"What this wiki page belongs to; only for POST. Change it through the move endpoint.","properties":{"id":{"type":"string","description":"Unique identifier."},"refType":{"type":"string","description":"Referenced object data type."},"label":{"type":"string","description":"Description, if present.","readOnly":true}},"required":["id","refType"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-wiki-WikiPageRevisionDto":{"description":"Revisions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"revisionNumber":{"type":"integer","format":"int32","description":"Revision number."}}}}}}
```

## PUT /dms/wiki/{id}/move

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/move":{"put":{"tags":["Wiki"],"operationId":"move","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"newParentId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"newParentRefType","in":"query","required":true,"schema":{"type":"string"}},{"name":"newPosition","in":"query","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## PUT /dms/wiki/{id}/leasable-lock/{lockToken}

> Extend a lock

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/leasable-lock/{lockToken}":{"put":{"tags":["Wiki"],"summary":"Extend a lock","operationId":"refreshLeasableLock_2","parameters":[{"name":"id","in":"path","description":"Locked resource identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lockToken","in":"path","description":"Token of the lock to extend.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"leasePeriod","in":"query","description":"Optional lease duration in seconds.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-unknownmodule-LeasableLock"}}}}}}}},"components":{"schemas":{"core-unknownmodule-LeasableLock":{"properties":{"key":{"type":"string","minLength":1},"token":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"lockedBySystem":{"type":"boolean"},"validUntil":{"type":"string","format":"date-time"},"id":{"type":"string","description":"Unique identifier of the Object","readOnly":true}},"required":["key","token"]}}}}
```

## DELETE /dms/wiki/{id}/leasable-lock/{lockToken}

> Release a lock

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/leasable-lock/{lockToken}":{"delete":{"tags":["Wiki"],"summary":"Release a lock","operationId":"releaseLeasableLock_2","parameters":[{"name":"id","in":"path","description":"Locked resource identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"lockToken","in":"path","description":"Token of the lock to release.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK"}}}}}}
```

## GET /dms/wiki

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki":{"get":{"tags":["Wiki"],"operationId":"findAllByParent","parameters":[{"name":"refId","in":"query","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"refType","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}}}}}}}},"components":{"schemas":{"dms-wiki-WikiPageDto":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parent":{"$ref":"#/components/schemas/core-api-TypedObjectRef"},"subject":{"type":"string","description":"Title.","minLength":1},"content":{"type":"string","description":"Wiki markdown content.","minLength":1},"subPageRefs":{"type":"array","description":"References to the sub wikis.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"revisions":{"type":"array","description":"Revisions.","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageRevisionDto"},"readOnly":true},"position":{"type":"integer","format":"int32","description":"Sort order within the parent object.","readOnly":true}},"required":["content","subject"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-TypedObjectRef":{"description":"What this wiki page belongs to; only for POST. Change it through the move endpoint.","properties":{"id":{"type":"string","description":"Unique identifier."},"refType":{"type":"string","description":"Referenced object data type."},"label":{"type":"string","description":"Description, if present.","readOnly":true}},"required":["id","refType"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-wiki-WikiPageRevisionDto":{"description":"Revisions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"revisionNumber":{"type":"integer","format":"int32","description":"Revision number."}}}}}}
```

## POST /dms/wiki

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki":{"post":{"tags":["Wiki"],"operationId":"create_81","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}}}}}}},"components":{"schemas":{"dms-wiki-WikiPageDto":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parent":{"$ref":"#/components/schemas/core-api-TypedObjectRef"},"subject":{"type":"string","description":"Title.","minLength":1},"content":{"type":"string","description":"Wiki markdown content.","minLength":1},"subPageRefs":{"type":"array","description":"References to the sub wikis.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"revisions":{"type":"array","description":"Revisions.","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageRevisionDto"},"readOnly":true},"position":{"type":"integer","format":"int32","description":"Sort order within the parent object.","readOnly":true}},"required":["content","subject"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-TypedObjectRef":{"description":"What this wiki page belongs to; only for POST. Change it through the move endpoint.","properties":{"id":{"type":"string","description":"Unique identifier."},"refType":{"type":"string","description":"Referenced object data type."},"label":{"type":"string","description":"Description, if present.","readOnly":true}},"required":["id","refType"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-wiki-WikiPageRevisionDto":{"description":"Revisions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"revisionNumber":{"type":"integer","format":"int32","description":"Revision number."}}}}}}
```

## GET /dms/wiki/{id}/leasable-lock

> Check whether a resource is locked

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/leasable-lock":{"get":{"tags":["Wiki"],"summary":"Check whether a resource is locked","operationId":"getLeasableLock_2","parameters":[{"name":"id","in":"path","description":"Resource identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-unknownmodule-LeasableLock"}}}}}}}},"components":{"schemas":{"core-unknownmodule-LeasableLock":{"properties":{"key":{"type":"string","minLength":1},"token":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"lockedBySystem":{"type":"boolean"},"validUntil":{"type":"string","format":"date-time"},"id":{"type":"string","description":"Unique identifier of the Object","readOnly":true}},"required":["key","token"]}}}}
```

## POST /dms/wiki/{id}/leasable-lock

> Create a new lock, optionally with a validity period

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/leasable-lock":{"post":{"tags":["Wiki"],"summary":"Create a new lock, optionally with a validity period","operationId":"createLeasableLock_2","parameters":[{"name":"id","in":"path","description":"Identifier of the resource to lock.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"leasePeriod","in":"query","description":"Optional lease duration in seconds.","required":false,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/core-unknownmodule-LeasableLock"}}}}}}}},"components":{"schemas":{"core-unknownmodule-LeasableLock":{"properties":{"key":{"type":"string","minLength":1},"token":{"type":"integer","format":"int64"},"userId":{"type":"integer","format":"int64"},"lockedBySystem":{"type":"boolean"},"validUntil":{"type":"string","format":"date-time"},"id":{"type":"string","description":"Unique identifier of the Object","readOnly":true}},"required":["key","token"]}}}}
```

## GET /dms/wiki/{id}/tree

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/tree":{"get":{"tags":["Wiki"],"operationId":"readTree","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiTreeNodeDto"}}}}}}}},"components":{"schemas":{"dms-wiki-WikiTreeNodeDto":{"properties":{"id":{"type":"integer","format":"int64","description":"Wiki page identifier."},"subject":{"type":"string","description":"Wiki page name."},"subNodes":{"type":"array","description":"Wiki pages below this one.","items":{"$ref":"#/components/schemas/dms-wiki-WikiTreeNodeDto"}}}}}}}
```

## GET /dms/wiki/{id}/revision/{revisionId}

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[],"servers":[{"url":"api.example.com"}],"paths":{"/dms/wiki/{id}/revision/{revisionId}":{"get":{"tags":["Wiki"],"operationId":"getRevision","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"revisionId","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/dms-wiki-WikiPageDto"}}}}}}}},"components":{"schemas":{"dms-wiki-WikiPageDto":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parent":{"$ref":"#/components/schemas/core-api-TypedObjectRef"},"subject":{"type":"string","description":"Title.","minLength":1},"content":{"type":"string","description":"Wiki markdown content.","minLength":1},"subPageRefs":{"type":"array","description":"References to the sub wikis.","items":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"readOnly":true},"tags":{"type":"array","description":"Tags","items":{"$ref":"#/components/schemas/common-tag-TagDto"}},"revisions":{"type":"array","description":"Revisions.","items":{"$ref":"#/components/schemas/dms-wiki-WikiPageRevisionDto"},"readOnly":true},"position":{"type":"integer","format":"int32","description":"Sort order within the parent object.","readOnly":true}},"required":["content","subject"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"core-api-TypedObjectRef":{"description":"What this wiki page belongs to; only for POST. Change it through the move endpoint.","properties":{"id":{"type":"string","description":"Unique identifier."},"refType":{"type":"string","description":"Referenced object data type."},"label":{"type":"string","description":"Description, if present.","readOnly":true}},"required":["id","refType"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"common-tag-TagDto":{"description":"List of tags","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"type":{"type":"string","description":"Tag types.","enum":["COMMON","ACCOUNT","PRODUCT","ASSET","DOCUMENT","OPEN_ITEM","CRM_COMMON","CRM_TASK","CRM_DEAL","CRM_PROJECT","DMS_SHELF_DOCUMENT"]},"label":{"type":"string","description":"Tag label."},"color":{"type":"string","description":"Color for displaying the tag."},"editColor":{"type":"string","description":"Color in the management UI."},"searchColor":{"type":"string","description":"Color in the search UI."},"tagGroup":{"$ref":"#/components/schemas/core-api-ApiCreatableReference"}},"required":["label","type"]},"core-api-ApiCreatableReference":{"description":"Relation type","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label"},"description":{"type":"string","description":"a short description","readOnly":true}}},"dms-wiki-WikiPageRevisionDto":{"description":"Revisions.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"revisionNumber":{"type":"integer","format":"int32","description":"Revision number."}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.vario-software.de/api-reference/wiki.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
